Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursCalculator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursCalculator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestAverageWorstVRPToursCalculator.cs	(revision 5178)
@@ -243,5 +243,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       UpdateOverloads();
       UpdateTardiness();
@@ -250,5 +250,5 @@
       UpdateVehiclesUtilized();
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPSolutionAnalyzer.cs	(revision 5178)
@@ -132,5 +132,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       DoubleMatrix coordinates = CoordinatesParameter.ActualValue;
       ItemArray<IVRPEncoding> solutions = VRPToursParameter.ActualValue;
@@ -188,5 +188,5 @@
       }
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPToursMemorizer.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPToursMemorizer.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Analyzers/BestVRPToursMemorizer.cs	(revision 5178)
@@ -89,5 +89,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       int i = OverloadParameter.ActualValue.Select((x, index) => new { index, x.Value }).OrderBy(x => x.Value).First().index;
       if (BestOverloadParameter.ActualValue == null)
@@ -120,5 +120,5 @@
         BestVehiclesUtilizedParameter.ActualValue.Value = VehiclesUtilizedParameter.ActualValue[i].Value;
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Crossovers/AlbaCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Crossovers/AlbaCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Crossovers/AlbaCrossover.cs	(revision 5178)
@@ -44,7 +44,7 @@
     }
 
-    protected abstract AlbaEncoding Crossover(IExecutionContext context, IRandom random, AlbaEncoding parent1, AlbaEncoding parent2);
+    protected abstract AlbaEncoding Crossover(IRandom random, AlbaEncoding parent1, AlbaEncoding parent2);
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       ItemArray<IVRPEncoding> parents = new ItemArray<IVRPEncoding>(ParentsParameter.ActualValue.Length);
       for (int i = 0; i < ParentsParameter.ActualValue.Length; i++) {
@@ -61,7 +61,7 @@
 
       ChildParameter.ActualValue =
-        Crossover(context, RandomParameter.ActualValue, parents[0] as AlbaEncoding, parents[1] as AlbaEncoding);
+        Crossover(RandomParameter.ActualValue, parents[0] as AlbaEncoding, parents[1] as AlbaEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Crossovers/AlbaPermutationCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Crossovers/AlbaPermutationCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Crossovers/AlbaPermutationCrossover.cs	(revision 5178)
@@ -47,17 +47,17 @@
     }
 
-    protected override AlbaEncoding Crossover(IExecutionContext context, IRandom random, AlbaEncoding parent1, AlbaEncoding parent2) {
+    protected override AlbaEncoding Crossover(IRandom random, AlbaEncoding parent1, AlbaEncoding parent2) {
       //note - the inner crossover is called here and the result is converted to an alba representation
       //some refactoring should be done here in the future - the crossover operation should be called directly
 
       InnerCrossoverParameter.ActualValue.ParentsParameter.ActualName = ParentsParameter.ActualName;
-      IAtomicOperation op = context.CreateOperation(
-        InnerCrossoverParameter.ActualValue, context.Scope);
+      IAtomicOperation op = this.ExecutionContext.CreateOperation(
+        InnerCrossoverParameter.ActualValue, this.ExecutionContext.Scope);
       op.Operator.Execute((IExecutionContext)op);
 
       string childName = InnerCrossoverParameter.ActualValue.ChildParameter.ActualName;
-      if (context.Scope.Variables.ContainsKey(childName)) {
-        Permutation permutation = context.Scope.Variables[childName].Value as Permutation;
-        context.Scope.Variables.Remove(childName);
+      if (ExecutionContext.Scope.Variables.ContainsKey(childName)) {
+        Permutation permutation = ExecutionContext.Scope.Variables[childName].Value as Permutation;
+        ExecutionContext.Scope.Variables.Remove(childName);
 
         return new AlbaEncoding(permutation, Cities);
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerInsertionManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerInsertionManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerInsertionManipulator.cs	(revision 5178)
@@ -41,5 +41,5 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, AlbaEncoding individual) {
+    protected override void Manipulate(IRandom random, AlbaEncoding individual) {
       AlbaEncoding original = (AlbaEncoding)individual.Clone();
       int cutIndex, insertIndex, number;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerInversionManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerInversionManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerInversionManipulator.cs	(revision 5178)
@@ -41,5 +41,5 @@
       return new AlbaCustomerInversionManipulator(this, cloner);
     }
-    protected override void Manipulate(IExecutionContext context, IRandom random, AlbaEncoding individual) {
+    protected override void Manipulate(IRandom random, AlbaEncoding individual) {
       int breakPoint1, breakPoint2;
 
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerSwapManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerSwapManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaCustomerSwapManipulator.cs	(revision 5178)
@@ -38,5 +38,5 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, AlbaEncoding individual) {
+    protected override void Manipulate(IRandom random, AlbaEncoding individual) {
       int index1, index2, temp;
 
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaIntraRouteInversionManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaIntraRouteInversionManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaIntraRouteInversionManipulator.cs	(revision 5178)
@@ -52,5 +52,5 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom rand, AlbaEncoding individual) {
+    protected override void Manipulate(IRandom rand, AlbaEncoding individual) {
       int index1 = -1;
       int index2 = -1;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaLambdaInterchangeManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaLambdaInterchangeManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaLambdaInterchangeManipulator.cs	(revision 5178)
@@ -102,5 +102,5 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom rand, AlbaEncoding individual) {
+    protected override void Manipulate(IRandom rand, AlbaEncoding individual) {
       List<Tour> tours = individual.GetTours();
       int lambda = LambdaParameter.Value.Value;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaManipulator.cs	(revision 5178)
@@ -44,5 +44,5 @@
     }
 
-    protected abstract void Manipulate(IExecutionContext context, IRandom random, AlbaEncoding individual);
+    protected abstract void Manipulate(IRandom random, AlbaEncoding individual);
 
     protected int FindCustomerLocation(int customer, AlbaEncoding individual) {
@@ -58,5 +58,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
       if (!(solution is AlbaEncoding)) {
@@ -64,7 +64,7 @@
       }
 
-      Manipulate(context, RandomParameter.ActualValue, VRPToursParameter.ActualValue as AlbaEncoding);
+      Manipulate(RandomParameter.ActualValue, VRPToursParameter.ActualValue as AlbaEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaPermutationManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaPermutationManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Manipulators/AlbaPermutationManipulator.cs	(revision 5178)
@@ -46,9 +46,9 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, AlbaEncoding individual) {
+    protected override void Manipulate(IRandom random, AlbaEncoding individual) {
       InnerManipulatorParameter.ActualValue.PermutationParameter.ActualName = VRPToursParameter.ActualName;
 
-      IAtomicOperation op = context.CreateOperation(
-        InnerManipulatorParameter.ActualValue, context.Scope);
+      IAtomicOperation op = this.ExecutionContext.CreateOperation(
+        InnerManipulatorParameter.ActualValue, this.ExecutionContext.Scope);
       op.Operator.Execute((IExecutionContext)op);
     }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaMoveMaker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaMoveMaker.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaMoveMaker.cs	(revision 5178)
@@ -80,6 +80,6 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation successor = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation successor = base.Apply();
 
       VehcilesUtilizedParameter.ActualValue = MoveVehcilesUtilizedParameter.ActualValue;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaMoveOperator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaMoveOperator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaMoveOperator.cs	(revision 5178)
@@ -36,5 +36,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
       if (!(solution is AlbaEncoding)) {
@@ -43,5 +43,5 @@
       }
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaPermutationMoveOperator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaPermutationMoveOperator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/AlbaPermutationMoveOperator.cs	(revision 5178)
@@ -39,11 +39,11 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
 
       IVRPEncoding solution = VRPToursParameter.ActualValue;
 
       PermutationMoveOperatorParameter.PermutationParameter.ActualName = VRPToursParameter.ActualName;
-      IAtomicOperation op = context.CreateChildOperation(PermutationMoveOperatorParameter);
+      IAtomicOperation op = this.ExecutionContext.CreateChildOperation(PermutationMoveOperatorParameter);
       op.Operator.Execute((IExecutionContext)op);
 
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/IntraRouteInversion/AlbaIntraRouteInversionMoveGenerator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/IntraRouteInversion/AlbaIntraRouteInversionMoveGenerator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/IntraRouteInversion/AlbaIntraRouteInversionMoveGenerator.cs	(revision 5178)
@@ -49,6 +49,6 @@
     protected abstract AlbaIntraRouteInversionMove[] GenerateMoves(AlbaEncoding individual);
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
 
       AlbaEncoding individual = VRPToursParameter.ActualValue as AlbaEncoding;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/IntraRouteInversion/AlbaIntraRouteInversionMoveMaker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/IntraRouteInversion/AlbaIntraRouteInversionMoveMaker.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/IntraRouteInversion/AlbaIntraRouteInversionMoveMaker.cs	(revision 5178)
@@ -62,6 +62,6 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
       
       AlbaIntraRouteInversionMove move = IntraRouteInversionMoveParameter.ActualValue;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/LambdaInterchange/AlbaLambdaInterchangeMoveGenerator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/LambdaInterchange/AlbaLambdaInterchangeMoveGenerator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/LambdaInterchange/AlbaLambdaInterchangeMoveGenerator.cs	(revision 5178)
@@ -61,6 +61,6 @@
     protected abstract AlbaLambdaInterchangeMove[] GenerateMoves(AlbaEncoding individual, int lambda);
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
 
       AlbaEncoding individual = VRPToursParameter.ActualValue as AlbaEncoding;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/LambdaInterchange/AlbaLambdaInterchangeMoveMaker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/LambdaInterchange/AlbaLambdaInterchangeMoveMaker.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/LambdaInterchange/AlbaLambdaInterchangeMoveMaker.cs	(revision 5178)
@@ -67,6 +67,6 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
 
       AlbaLambdaInterchangeMove move = LambdaInterchangeMoveParameter.ActualValue;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/ThreeOpt/AlbaTranslocationMoveGenerator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/ThreeOpt/AlbaTranslocationMoveGenerator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/ThreeOpt/AlbaTranslocationMoveGenerator.cs	(revision 5178)
@@ -84,6 +84,6 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation successor = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation successor = base.Apply();
 
       Permutation permutation = VRPToursParameter.ActualValue as Permutation;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/ThreeOpt/AlbaTranslocationMoveMaker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/ThreeOpt/AlbaTranslocationMoveMaker.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Alba/Moves/ThreeOpt/AlbaTranslocationMoveMaker.cs	(revision 5178)
@@ -61,11 +61,11 @@
       return new AlbaTranslocationMoveMaker(this, cloner);
     }
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
 
       IVRPEncoding solution = VRPToursParameter.ActualValue;
 
       moveMaker.PermutationParameter.ActualName = VRPToursParameter.ActualName;
-      IAtomicOperation op = context.CreateChildOperation(moveMaker);
+      IAtomicOperation op = this.ExecutionContext.CreateChildOperation(moveMaker);
       op.Operator.Execute((IExecutionContext)op);
 
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/GVR/Crossovers/GVRCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/GVR/Crossovers/GVRCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/GVR/Crossovers/GVRCrossover.cs	(revision 5178)
@@ -101,5 +101,5 @@
     }
    
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       ItemArray<IVRPEncoding> parents = new ItemArray<IVRPEncoding>(ParentsParameter.ActualValue.Length);
       for (int i = 0; i < ParentsParameter.ActualValue.Length; i++) {
@@ -116,5 +116,5 @@
       ChildParameter.ActualValue = Crossover(RandomParameter.ActualValue, parents[0] as GVREncoding, parents[1] as GVREncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/GVR/Manipulators/GVRManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/GVR/Manipulators/GVRManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/GVR/Manipulators/GVRManipulator.cs	(revision 5178)
@@ -50,5 +50,5 @@
     protected abstract void Manipulate(IRandom random, GVREncoding individual);
    
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
       if (!(solution is GVREncoding)) {
@@ -59,5 +59,5 @@
       Manipulate(RandomParameter.ActualValue, VRPToursParameter.ActualValue as GVREncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/DefaultRepresentationCreator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/DefaultRepresentationCreator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/DefaultRepresentationCreator.cs	(revision 5178)
@@ -38,9 +38,9 @@
     public DefaultRepresentationCreator() : base() { }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       //choose default encoding here
       VRPToursParameter.ActualValue = PotvinEncoding.ConvertFrom(CreateSolution());
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/MultiVRPSolutionCreator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/MultiVRPSolutionCreator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Creators/MultiVRPSolutionCreator.cs	(revision 5178)
@@ -135,7 +135,7 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       if (Operators.Count == 0) throw new InvalidOperationException(Name + ": Please add at least one VRP creator to choose from.");
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/MultiVRPSolutionCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/MultiVRPSolutionCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/MultiVRPSolutionCrossover.cs	(revision 5178)
@@ -142,7 +142,7 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       if (Operators.Count == 0) throw new InvalidOperationException(Name + ": Please add at least one permutation crossover to choose from.");
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/RandomParentCloneCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/RandomParentCloneCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Crossovers/RandomParentCloneCrossover.cs	(revision 5178)
@@ -57,5 +57,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       if (RandomParameter.ActualValue.Next() < 0.5)
         ChildParameter.ActualValue = ParentsParameter.ActualValue[0].Clone() as IVRPEncoding;
@@ -63,5 +63,5 @@
         ChildParameter.ActualValue = ParentsParameter.ActualValue[1].Clone() as IVRPEncoding;
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Manipulators/MultiVRPSolutionManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Manipulators/MultiVRPSolutionManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Manipulators/MultiVRPSolutionManipulator.cs	(revision 5178)
@@ -140,7 +140,7 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       if (Operators.Count == 0) throw new InvalidOperationException(Name + ": Please add at least one permutation manipulator to choose from.");
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveGenerator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveGenerator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveGenerator.cs	(revision 5178)
@@ -187,7 +187,7 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       if (Operators.Count == 0) throw new InvalidOperationException(Name + ": Please add at least one VRP move generator choose from.");
-      OperationCollection next = new OperationCollection(base.Apply(context));
+      OperationCollection next = new OperationCollection(base.Apply());
 
       for (int i = 0; i < SampleSizeParameter.ActualValue.Value; i++) {
@@ -215,5 +215,5 @@
 
         if (successor != null) {
-          next.Insert(0, context.CreateChildOperation(successor));
+          next.Insert(0, ExecutionContext.CreateChildOperation(successor));
         }
       }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveMaker.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveMaker.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/General/Moves/MultiVRPMoveOperator/MultiVRPMoveMaker.cs	(revision 5178)
@@ -107,6 +107,6 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
-      IOperation next = base.Apply(context);
+    public override IOperation Apply() {
+      IOperation next = base.Apply();
 
       IVRPEncoding solution = VRPToursParameter.ActualValue as IVRPEncoding;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Potvin/Crossovers/PotvinCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Potvin/Crossovers/PotvinCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Potvin/Crossovers/PotvinCrossover.cs	(revision 5178)
@@ -125,5 +125,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       ItemArray<IVRPEncoding> parents = new ItemArray<IVRPEncoding>(ParentsParameter.ActualValue.Length);
       for (int i = 0; i < ParentsParameter.ActualValue.Length; i++) {
@@ -140,5 +140,5 @@
       ChildParameter.ActualValue = Crossover(RandomParameter.ActualValue, parents[0] as PotvinEncoding, parents[1] as PotvinEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Potvin/Manipulators/PotvinManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Potvin/Manipulators/PotvinManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Potvin/Manipulators/PotvinManipulator.cs	(revision 5178)
@@ -80,5 +80,5 @@
     }
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
       if (!(solution is PotvinEncoding)) {
@@ -88,5 +88,5 @@
       Manipulate(RandomParameter.ActualValue, VRPToursParameter.ActualValue as PotvinEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Crossovers/PrinsCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Crossovers/PrinsCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Crossovers/PrinsCrossover.cs	(revision 5178)
@@ -65,7 +65,7 @@
     }
 
-    protected abstract PrinsEncoding Crossover(IExecutionContext context, IRandom random, PrinsEncoding parent1, PrinsEncoding parent2);
+    protected abstract PrinsEncoding Crossover(IRandom random, PrinsEncoding parent1, PrinsEncoding parent2);
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       ItemArray<IVRPEncoding> parents = new ItemArray<IVRPEncoding>(ParentsParameter.ActualValue.Length);
       for (int i = 0; i < ParentsParameter.ActualValue.Length; i++) {
@@ -95,7 +95,7 @@
 
       ChildParameter.ActualValue =
-        Crossover(context, RandomParameter.ActualValue, parents[0] as PrinsEncoding, parents[1] as PrinsEncoding);
+        Crossover(RandomParameter.ActualValue, parents[0] as PrinsEncoding, parents[1] as PrinsEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Crossovers/PrinsPermutationCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Crossovers/PrinsPermutationCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Crossovers/PrinsPermutationCrossover.cs	(revision 5178)
@@ -45,17 +45,17 @@
     }
 
-    protected override PrinsEncoding Crossover(IExecutionContext context, IRandom random, PrinsEncoding parent1, PrinsEncoding parent2) {
+    protected override PrinsEncoding Crossover(IRandom random, PrinsEncoding parent1, PrinsEncoding parent2) {
       //note - the inner crossover is called here and the result is converted to a prins representation
       //some refactoring should be done here in the future - the crossover operation should be called directly
 
       InnerCrossoverParameter.ActualValue.ParentsParameter.ActualName = ParentsParameter.ActualName;
-      IAtomicOperation op = context.CreateOperation(
-        InnerCrossoverParameter.ActualValue, context.Scope);
+      IAtomicOperation op = this.ExecutionContext.CreateOperation(
+        InnerCrossoverParameter.ActualValue, this.ExecutionContext.Scope);
       op.Operator.Execute((IExecutionContext)op);
 
       string childName = InnerCrossoverParameter.ActualValue.ChildParameter.ActualName;
-      if (context.Scope.Variables.ContainsKey(childName)) {
-        Permutation permutation = context.Scope.Variables[childName].Value as Permutation;
-        context.Scope.Variables.Remove(childName);
+      if (ExecutionContext.Scope.Variables.ContainsKey(childName)) {
+        Permutation permutation = ExecutionContext.Scope.Variables[childName].Value as Permutation;
+        ExecutionContext.Scope.Variables.Remove(childName);
 
         return new PrinsEncoding(permutation, Cities,
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsExhaustiveLSManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsExhaustiveLSManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsExhaustiveLSManipulator.cs	(revision 5178)
@@ -39,5 +39,5 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, PrinsEncoding individual) {
+    protected override void Manipulate(IRandom random, PrinsEncoding individual) {
       List<Tour> tours = individual.GetTours(DistanceMatrixParameter);
       bool improvement = false;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsManipulator.cs	(revision 5178)
@@ -64,7 +64,7 @@
     }
 
-    protected abstract void Manipulate(IExecutionContext context, IRandom random, PrinsEncoding individual);
+    protected abstract void Manipulate(IRandom random, PrinsEncoding individual);
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
       if (!(solution is PrinsEncoding)) {
@@ -86,7 +86,7 @@
       }
 
-      Manipulate(context, RandomParameter.ActualValue, VRPToursParameter.ActualValue as PrinsEncoding);
+      Manipulate(RandomParameter.ActualValue, VRPToursParameter.ActualValue as PrinsEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsPermutationManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsPermutationManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsPermutationManipulator.cs	(revision 5178)
@@ -45,9 +45,9 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, PrinsEncoding individual) {
+    protected override void Manipulate(IRandom random, PrinsEncoding individual) {
       InnerManipulatorParameter.ActualValue.PermutationParameter.ActualName = VRPToursParameter.ActualName;
 
-      IAtomicOperation op = context.CreateOperation(
-        InnerManipulatorParameter.ActualValue, context.Scope);
+      IAtomicOperation op = this.ExecutionContext.CreateOperation(
+        InnerManipulatorParameter.ActualValue, this.ExecutionContext.Scope);
       op.Operator.Execute((IExecutionContext)op);
     }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsStochasticLSManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsStochasticLSManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Prins/Manipulators/PrinsStochasticLSManipulator.cs	(revision 5178)
@@ -46,5 +46,5 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, PrinsEncoding individual) {
+    protected override void Manipulate(IRandom random, PrinsEncoding individual) {
       List<Tour> tours = individual.GetTours(DistanceMatrixParameter);
       bool improvement = false;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuCrossover.cs	(revision 5178)
@@ -45,7 +45,7 @@
     }
 
-    protected abstract ZhuEncoding Crossover(IExecutionContext context, IRandom random, ZhuEncoding parent1, ZhuEncoding parent2);
+    protected abstract ZhuEncoding Crossover(IRandom random, ZhuEncoding parent1, ZhuEncoding parent2);
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       ItemArray<IVRPEncoding> parents = new ItemArray<IVRPEncoding>(ParentsParameter.ActualValue.Length);
       for (int i = 0; i < ParentsParameter.ActualValue.Length; i++) {
@@ -70,7 +70,7 @@
 
       ChildParameter.ActualValue =
-        Crossover(context, RandomParameter.ActualValue, parents[0] as ZhuEncoding, parents[1] as ZhuEncoding);
+        Crossover(RandomParameter.ActualValue, parents[0] as ZhuEncoding, parents[1] as ZhuEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuHeuristicCrossover1.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuHeuristicCrossover1.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuHeuristicCrossover1.cs	(revision 5178)
@@ -49,5 +49,5 @@
     }
 
-    protected override ZhuEncoding Crossover(IExecutionContext context, IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
+    protected override ZhuEncoding Crossover(IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
       parent1 = parent1.Clone() as ZhuEncoding;
       parent2 = parent2.Clone() as ZhuEncoding;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuHeuristicCrossover2.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuHeuristicCrossover2.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuHeuristicCrossover2.cs	(revision 5178)
@@ -41,5 +41,5 @@
     }
 
-    protected override ZhuEncoding Crossover(IExecutionContext context, IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
+    protected override ZhuEncoding Crossover(IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
       List<int> p1 = new List<int>(parent1);
       List<int> p2 = new List<int>(parent2);
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuMergeCrossover1.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuMergeCrossover1.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuMergeCrossover1.cs	(revision 5178)
@@ -49,5 +49,5 @@
     }
 
-    protected override ZhuEncoding Crossover(IExecutionContext context, IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
+    protected override ZhuEncoding Crossover(IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
       parent1 = parent1.Clone() as ZhuEncoding;
       parent2 = parent2.Clone() as ZhuEncoding;
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuMergeCrossover2.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuMergeCrossover2.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuMergeCrossover2.cs	(revision 5178)
@@ -41,5 +41,5 @@
     }
 
-    protected override ZhuEncoding Crossover(IExecutionContext context, IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
+    protected override ZhuEncoding Crossover(IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
       List<int> p1 = new List<int>(parent1);
       List<int> p2 = new List<int>(parent2);
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuPermutationCrossover.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuPermutationCrossover.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Crossovers/ZhuPermutationCrossover.cs	(revision 5178)
@@ -47,17 +47,17 @@
     }
 
-    protected override ZhuEncoding Crossover(IExecutionContext context, IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
+    protected override ZhuEncoding Crossover(IRandom random, ZhuEncoding parent1, ZhuEncoding parent2) {
       //note - the inner crossover is called here and the result is converted to a prins representation
       //some refactoring should be done here in the future - the crossover operation should be called directly
 
       InnerCrossoverParameter.ActualValue.ParentsParameter.ActualName = ParentsParameter.ActualName;
-      IAtomicOperation op = context.CreateOperation(
-        InnerCrossoverParameter.ActualValue, context.Scope);
+      IAtomicOperation op = this.ExecutionContext.CreateOperation(
+        InnerCrossoverParameter.ActualValue, this.ExecutionContext.Scope);
       op.Operator.Execute((IExecutionContext)op);
 
       string childName = InnerCrossoverParameter.ActualValue.ChildParameter.ActualName;
-      if (context.Scope.Variables.ContainsKey(childName)) {
-        Permutation permutation = context.Scope.Variables[childName].Value as Permutation;
-        context.Scope.Variables.Remove(childName);
+      if (ExecutionContext.Scope.Variables.ContainsKey(childName)) {
+        Permutation permutation = ExecutionContext.Scope.Variables[childName].Value as Permutation;
+        ExecutionContext.Scope.Variables.Remove(childName);
 
         return new ZhuEncoding(permutation, Cities,
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Manipulators/ZhuManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Manipulators/ZhuManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Manipulators/ZhuManipulator.cs	(revision 5178)
@@ -45,7 +45,7 @@
     }
 
-    protected abstract void Manipulate(IExecutionContext context, IRandom random, ZhuEncoding individual);
+    protected abstract void Manipulate(IRandom random, ZhuEncoding individual);
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
       if (!(solution is ZhuEncoding)) {
@@ -62,7 +62,7 @@
       }
 
-      Manipulate(context, RandomParameter.ActualValue, VRPToursParameter.ActualValue as ZhuEncoding);
+      Manipulate(RandomParameter.ActualValue, VRPToursParameter.ActualValue as ZhuEncoding);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Manipulators/ZhuPermutationManipulator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Manipulators/ZhuPermutationManipulator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Encodings/Zhu/Manipulators/ZhuPermutationManipulator.cs	(revision 5178)
@@ -47,9 +47,9 @@
     }
 
-    protected override void Manipulate(IExecutionContext context, IRandom random, ZhuEncoding individual) {
+    protected override void Manipulate(IRandom random, ZhuEncoding individual) {
       InnerManipulatorParameter.ActualValue.PermutationParameter.ActualName = VRPToursParameter.ActualName;
 
-      IAtomicOperation op = context.CreateOperation(
-        InnerManipulatorParameter.ActualValue, context.Scope);
+      IAtomicOperation op = this.ExecutionContext.CreateOperation(
+        InnerManipulatorParameter.ActualValue, this.ExecutionContext.Scope);
       op.Operator.Execute((IExecutionContext)op);
     }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Evaluators/VRPEvaluator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Evaluators/VRPEvaluator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/Evaluators/VRPEvaluator.cs	(revision 5178)
@@ -214,5 +214,5 @@
     }
 
-    public sealed override IOperation Apply(IExecutionContext context) {
+    public sealed override IOperation Apply() {
       IVRPEncoding solution = VRPToursParameter.ActualValue;
 
@@ -229,5 +229,5 @@
       TardinessParameter.ActualValue = new DoubleValue(sumEval.Tardiness);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
Index: branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/MoveEvaluators/VRPMoveEvaluator.cs
===================================================================
--- branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/MoveEvaluators/VRPMoveEvaluator.cs	(revision 5177)
+++ branches/ParallelEngine/HeuristicLab.Problems.VehicleRouting/3.3/MoveEvaluators/VRPMoveEvaluator.cs	(revision 5178)
@@ -99,5 +99,5 @@
     protected abstract TourEvaluation GetMoveQuality();
 
-    public override IOperation Apply(IExecutionContext context) {
+    public override IOperation Apply() {
       TourEvaluation tourEval = GetMoveQuality();
 
@@ -109,5 +109,5 @@
       MoveTravelTimeParameter.ActualValue = new DoubleValue(tourEval.TravelTime);
 
-      return base.Apply(context);
+      return base.Apply();
     }
   }
